package cz.muni.fi.lasaris.sbms.data.api;

import javax.annotation.security.PermitAll;
import javax.annotation.security.RolesAllowed;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.MediaType;

import org.apache.log4j.Logger;

import cz.muni.fi.lasaris.sbms.data.ConnectorProvider;
import cz.muni.fi.lasaris.sbms.data.structures.Address;


@Path("presentValues")
@PermitAll
public class PresentValuesEndpoint {
final static Logger logger = Logger.getLogger(PresentValuesEndpoint.class);
	
	
	@RolesAllowed({"user","admin"})
	@GET
	@Produces(MediaType.APPLICATION_JSON)
	public String getPresentValues(
			@QueryParam("json") String json
			) {
		String dataPoint="4600.AV.91";
		return String.format("%d", ConnectorProvider.getBASConnector().getDataPointValue(new Address(dataPoint)));
	}
}
