package cz.muni.fi.lasaris.sbms.data.structures;

public class Address {
	
	private String id;
	private String name;
	private DataType dataType;
	private double[] weights;
	public String getId() {
		return id;
	}
	public void setId(String id) {
		this.id = id;
	}
	public String getName() {
		return name;
	}
	public void setName(String name) {
		this.name = name;
	}
	public double[] getWeights() {
		return weights;
	}
	public void setWeights(double[] weights) {
		this.weights = weights;
	}
	public DataType getDataType() {
		return dataType;
	}
	public void setDataType(DataType dataType) {
		this.dataType = dataType;
	}
	public Address(String id, String name, double[] weights) {
		this.id = id;
		this.name = name;
		this.weights = weights;
		this.dataType = DataType.REAL;
	}
	public Address(String id) {
		this.id = id;
		this.dataType = DataType.REAL;
	}
	public Address(String id, String name) {
		this.id = id;
		this.name = name;
		this.dataType = DataType.REAL;
	}
	
	public Address(String id, String name, DataType dataType) {
		this.id = id;
		this.name = name;
		this.dataType = dataType;
	}
	
	public Address(String id, DataType dataType) {
		this.id = id;
		this.dataType = dataType;
	}
}
