package cz.muni.fi.lasaris.sbms.data.structures.values;

import cz.muni.fi.lasaris.sbms.data.structures.AggregationFunction;
import cz.muni.fi.lasaris.sbms.data.structures.DataType;
import cz.muni.fi.lasaris.sbms.data.structures.Interpolation;

public class AggregatedValue extends Value {

	public AggregatedValue(Object value, DataType dataType, AggregationFunction aggregation) {
		super(value, dataType);
		this.aggregation = aggregation;
		this.interpolation = Interpolation.NONE;
	}
	
	public AggregatedValue(double value, AggregationFunction aggregation) {
		super(value);
		this.aggregation = aggregation;
		this.interpolation = Interpolation.NONE;
	}
	
	public AggregatedValue(int value, AggregationFunction aggregation) {
		super(value);
		this.aggregation = aggregation;
		this.interpolation = Interpolation.NONE;
	}

}
