package cz.muni.fi.lasaris.sbms.data.structures.values;

import cz.muni.fi.lasaris.sbms.data.structures.AggregationFunction;
import cz.muni.fi.lasaris.sbms.data.structures.DataType;
import cz.muni.fi.lasaris.sbms.data.structures.Interpolation;

public class RawValue extends Value {
	
	public RawValue(Object value, DataType dataType) {
		super(value, dataType);
		this.interpolation = Interpolation.NONE;
		this.aggregation = AggregationFunction.NONE;
	}
	
	public RawValue(int value) {
		super(value);
	}
	
	public RawValue(boolean value) {
		super(value);
	}
	
	public RawValue(double value) {
		super(value);
	}
	
	public RawValue(String value) {
		super(value);
	}
}
